new;
library mars,optmum,pgraph;

load data[50,6] = epp.dat;

_epp_J = 6;

output file = epp2.out reset;

{alpha,beta,I} = epp2(data,1,0);

output off;

z = _epp_z;   /* Data "sphering" */
U = _epp_U;   /* Eigenvectors    */
d = _epp_d;   /* Eigenvalues     */
SIGMA = _epp_SIGMA;  /* var-covar matrix of the "sphered" data */

X1 = Xcreate(alpha,z);
X2 = Xcreate(beta,z);
R1 = Rtransform(X1);
R2 = Rtransform(X2);

ind = 0 $+ ftocv(seqa(1,1,50),1,0);
obs = "1";
l = 2;
do until l > 50;
   obs = obs $+ "\000" $+ ind[l];
   l = l + 1;
endo;

graphset;
  _pdate = ""; _pnum = 2; _plctrl = -1; _pstype = 8; _psymsiz = 2;
  title("Exploratory Projection Pursuit");
  xlabel("X1");
  ylabel("X2");
  _pmsgstr = obs;
  _pmsgctl = (X1-0.08)~(X2+0.06)~ones(50,1).*(.15~0~1~7~0);
  xy(X1,X2);


graphset;
  _pdate = ""; _pnum = 2; _plctrl = -1; _pstype = 8; _psymsiz = 2;
  title("Exploratory Projection Pursuit");
  xlabel("R1");
  ylabel("R2");
  xtics(-1,1,0.5,5);
  ytics(-1,1,0.5,5);
  _pmsgstr = obs;
  _pmsgctl = (R1-0.08)~(R2+0.06)~ones(50,1).*(.15~0~1~7~0);
  xy(R1,R2);

